HomeGuidesAPI ReferenceChangelog
Log In
API Reference

List Webhooks

Plug can send webhook events for any notable events for recurring requests. For example, this could include if a new statement is available or we notice a credential is now resulting in login failure. This endpoint allows you to get a list of all the webhooks that are in the system. However, the system will not create any webhooks until your organization has configured a webhook URL. You can configure this in Dashboard by selecting the gear in the top right corner to open the Configuration list, then select Webhooks. This endpoint is pageable.

Webhooks are deleted automatically after 30 days past their last send attempt date, except for Realtime Credential Validation (RTCV) webhooks or MFA-related webhooks, which are deleted immediately after successfully being delivered or after 3 failed send attempts. RTCV webhooks have eventType of either REAL_TIME_CREDENTIAL_VALIDATION_SUCCESS or REAL_TIME_CREDENTIAL_VALIDATION_FAILURE and may have a webhook URL different from the organization default if the credential was submitted via Connect. MFA webhooks have eventType of either MFA_CHALLENGE_METHOD or MFA_CHALLENGE_CODE.

Note that the webhook resources returned by this endpoint are not the same as the payload that is sent to the webhook URL. That payload is included in the message field as a JSON string in this resource which also includes more metadata about the webhook, such as the last and next send attempt times.

For more information on how webhooks work in Plug, see this page.

This endpoint supports Sandbox Mode.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

A search query string. See this page for more information.

The searchable fields for this endpoint are:

  • createdAt
  • createdBy
  • eventType
  • id
  • lastAttemptedSendAt
  • lastModifiedBy
  • nextScheduledSendAt
  • numberOfAttempts
  • resource
  • status
  • webhookUrl
integer
Defaults to 0

Zero-based page index (0..N)

integer
Defaults to 20

The size of the page to be returned

sort
array of strings

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

sort
Headers
string
required
Defaults to 2024-02-21

The Arcadia-Version for the request

Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json